org.apache.jmeter.report.processor

## Class ValueResultData

- java.lang.Object
- - org.apache.jmeter.report.processor.ValueResultData

- All Implemented Interfaces:
    ResultData

      public class ValueResultData
      extends Object
      implements ResultData

  This provides a value result from samples processing.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueResultData()`
    `ValueResultData(Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `accept(ResultDataVisitor<T> visitor)` Accepts the specified visitor.
    `Object` | `getValue()`
    `void` | `setValue(Object value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueResultData

          public ValueResultData()

    - #### ValueResultData

          public ValueResultData(Object value)

  - ### Method Detail

    - #### getValue

          public final Object getValue()

    - #### setValue

          public final void setValue(Object value)

    - #### accept

          public <T> T accept(ResultDataVisitor<T> visitor)

      Description copied from interface: `ResultData`
      Accepts the specified visitor.
      Specified by:
        `accept` in interface `ResultData`
      Type Parameters:
        `T` - type of the results of the `ResultDataVisitor`
      Parameters:
        `visitor` - the visitor (must not be `null`)
      Returns:
        result of the visit

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.